%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clear all;
close all;

w=what('F:\AMMA_2007\RHB\radar\profiler\raw\spc\');
jd=input('Input Jd for raw file to plot (ex: rbc07123.raw) .... ', 's');
cbfn = 'f:\AMMA_2007\RHB\ceilometer\Processed\';
cbfn1=input('Input ceilo CB txt filename (ex: 126_05_06_07.txt) ', 's');
cbfn(39:54)=cbfn1;
fn = 'rbc07120.raw';
fn(6:8) = jd;
a=dir([w.path fn])
i=1;
% rbclear                           0     0    13 91500
%5  75  45  7 123  0  0 26
%61  700 196 101  55 110 30  128
%  -4.308  13.240  62.462   3.114  28.150 0
%  -4.622  12.690  51.212   4.098  17.450 0

fid=fopen([w.path a(i).name],'r');
fgetl(fid);

jd=[];hr=[];mn=[];sec=[];
k=1;

beam = 9;  % set beam to capture
while ~feof(fid)
%for pp = 1:20  %short test loop DEW
    temp1=fgetl(fid);
    data=sscanf(temp1,'%d');
   bb = data(1);
   el = data(2);
   az = data(3);
    jd=[jd data(5)];
    hr=[hr data(6)];
    mn=[mn data(7)];
    sec=[sec data(8)];
    data(6)

    clear temp1 data;

    temp2=fgetl(fid);
    data=sscanf(temp2,'%d');
    pw = data(2);

    gate1=data(3); % in m
    gate_space=data(4);
    last_gate=data(5);

    clear temp2 data;

    for j=1:last_gate

        temp=fgetl(fid);
        data=sscanf(temp,'%f');
%        if beam == bb
        if el == 90 & pw == 700 % DEW 5/17/2007 changed from beam test to EL and PW
            if j == 1
                k = k + 1;
                ht=(gate1+(0:1:last_gate-1)*gate_space)/1000; % in km
            end
            snr(k,j)=data(2);
            %pow(k,j)=data(3);
        end  %  End test for beam 9 vertical high mode

        clear temp data;

    end

    %k=k+1;

end

fclose(fid);
clear fid;


time=hr*3600+mn*60+sec;
k
clear hr mn sec k jd;
%Save correct ht scale for data

for j=1:last_gate
    snr_cr(:,j)=snr(:,j)+20*log10(ht(j));
    %pow_cr(:,j)=pow(:,j)+20*log10(height(j));
end


figure()
set(gcf,'defaultaxesfonts',18)
set(gca,'fontname','time','fontsize',18);
imagesc((time-time(1))/3600,ht,snr_cr',[-10 20])
axis xy;colorbar
xlim([0 23])
ylim([0 6])
ylabel('Height (Km)')
xlabel('UTC Time (Hour)')
tit = ('Wind profiler rcSNR AMMA 2007 111 ');
tit(31:33) = fn(6:8);
title(tit)
print_buffer=['-dpng f:\AMMA_2007/RHB\radar\profiler\raw_images\wind_profiler', fn(6:8),'.png']
eval(['print ' print_buffer])


cb=load(cbfn);  %Load Ceilometer cloud base txt file
% Ceilo cloud base file
%  0.0000000e+000	             NaN	             NaN	             NaN	  0.0000000e+000	  0.0000000e+000	  1.1000000e+001	
%  0.0000000e+000	             NaN	             NaN	             NaN	  0.0000000e+000	  0.0000000e+000	  2.7000000e+001	

cb_time=cb(:,5)+((cb(:,6)+(cb(:,7)/60.))/60);
hold
plot(cb_time,cb(:,3)/1000,'k.')
axis([0,24,0,6])
tit(35:41) = ' (cb .)'
title(tit)
print_buffer=['-dpng f:\AMMA_2007/RHB\radar\profiler\raw_images\wind_profiler', fn(6:8),'cb.png']
eval(['print ' print_buffer])

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
